org.apache.nutch.indexer.more

## Class MoreIndexingFilter

- java.lang.Object
- - org.apache.nutch.indexer.more.MoreIndexingFilter

- All Implemented Interfaces:
    Configurable, IndexingFilter, FieldPluggable, Pluggable

      public class MoreIndexingFilter
      extends Object
      implements IndexingFilter

  Add (or reset) a few metaData properties as respective fields (if they are available), so that they can be accurately used within the search index. 'lastModifed' is indexed to support query by date, 'contentLength' obtains content length from the HTTP header, 'type' field is indexed to support query by type and finally the 'title' field is an attempt to reset the title if a content-disposition hint exists. The logic is that such a presence is indicative that the content provider wants the filename therein to be used as the title. Still need to make content-length searchable!
  Author:
    John Xing

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.slf4j.Logger` | `LOG`

    - ### Fields inherited from interface org.apache.nutch.indexer.IndexingFilter

      `X_POINT_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MoreIndexingFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addIndexBackendOptions(Configuration conf)`
    `NutchDocument` | `filter(NutchDocument doc, String url, WebPage page)` Adds fields or otherwise modifies the document that will be indexed for a parse.
    `Configuration` | `getConf()`
    `Collection<WebPage.Field>` | `getFields()`
    `void` | `setConf(Configuration conf)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOG

          public static final org.slf4j.Logger LOG

  - ### Constructor Detail

    - #### MoreIndexingFilter

          public MoreIndexingFilter()

  - ### Method Detail

    - #### filter

          public NutchDocument filter(NutchDocument doc,
                             String url,
                             WebPage page)
                               throws IndexingException

      Description copied from interface: `IndexingFilter`
      Adds fields or otherwise modifies the document that will be indexed for a parse. Unwanted documents can be removed from indexing by returning a null value.
      Specified by:
        `filter` in interface `IndexingFilter`
      Parameters:
        `doc` - document instance for collecting fields
        `url` - page url
      Returns:
        modified (or a new) document instance, or null (meaning the document should be discarded)
      Throws:
        `IndexingException`

    - #### addIndexBackendOptions

          public void addIndexBackendOptions(Configuration conf)

    - #### setConf

          public void setConf(Configuration conf)

      Specified by:
        `setConf` in interface `Configurable`

    - #### getConf

          public Configuration getConf()

      Specified by:
        `getConf` in interface `Configurable`

    - #### getFields

          public Collection<WebPage.Field> getFields()

      Specified by:
        `getFields` in interface `FieldPluggable`

Copyright © 2015 The Apache Software Foundation